Subject: Bug In Pine, hopping between newsgroups

From: Ken Weaverling <[email-masked]>
Date: Mon, 3 Oct 1994 23:16:32 -0400 (EDT)

A user of mine reported a bug in pine. I've been able to reproduce the 
bug sucessfully on a D-G and a SV4 build (latter being on a Solaris 
system).  

I have been able to reproduce the bug by doing the following:

LIST Folders
Open news collection
Goto (G command) to a specific group name
Delete a few articles
List folders (L command)
Open news collection
G specific group name
   Top status line still says old group line
   Bottom status line says Opening "new group name"

Bombs with...

Bug in Pine detected: "Received abort signal".
Exiting pine.

> Ken, I have noticed, especially today in going through the newsgroups 
> that as I use the Go To Command (it usually happens after the first GoTo) 
> that I get a "Bug in Pine Detected. Aborting Pine. and then I am sent 
> back to the shell prompt. Is this something that I am doing or is this a bug>
> 
> Usually what happens is this. I will use GoTo and go to a newsgroup. I 
> will go down the list deleting the various posts. When I am finished, I 
> hit L for going back to the newsgroups, hit G for Goto again, type the 
> name of the newsgroup and then the above message appears and I find 
> myself at the shell prompt.
> 
> From there, I can type Pine.New again; get back to the news groups; type 
> goto again, get to the first news group successfully; type L and goto 
> again, followed by the name of the newsgroup I want and then the bug 
> message again.